
Figure - Bug #114834
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 114212 (New): V4.0专项--BSP专项--性能测试

【BSP】【EVT2】【专项】【响应时间】息屏时间，实测：792ms，高于对比机：244ms
2022-12-26 20:24 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-05

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-10

Test Type: ST Root cause: 息屏时间晚的原因，模拟点击时间间隔较长，息屏动画时间较长

Description

【前提条件】

使用user版本测试

【测试步骤】

1、设备烧机启动

2、打开下拉通知栏

3、点击息屏

开始计时：点击息屏后，出现坐标轴瞬间

停止计时：屏幕完全黑下去

【预期结果】

不低于对比机244ms

【实际结果】

192ms

测试视频：ftp://cdiot@192.168.87.46/Figure/video/performance/screenoff

29603-29801

792ms

Subtasks:

Bug # 115082: 【FW】【EVT2】【专项】【响应时间】息屏时间优化，虚拟按键DOWN时调用Powering off CLOSED

History

#1 - 2022-12-28 10:05 - CDTS-TEST 周婷

- Assignee changed from CD BSP-唐金泽 to CD SYSTEM-胡兵

#2 - 2022-12-29 19:41 - 移动测试一组_CDTS 刘强

移动测试一组_CDTS 刘强 wrote:

【前提条件】

使用user版本测试

【测试步骤】
1、设备烧机启动

2、打开下拉通知栏

3、点击息屏

开始计时：点击息屏后，出现坐标轴瞬间

停止计时：屏幕完全黑下去

【预期结果】

不低于对比机244ms

【实际结果】

792ms

测试视频：ftp://cdiot@192.168.87.46/Figure/video/performance/screenoff

29603-29801

792ms

#3 - 2023-01-05 11:24 - CD SYSTEM-胡兵

- Status changed from New to ASSIGNED

现状分析：

当前是点击事件UP才会触发灭屏流程，但快速点击实验下，UP也会耗费200ms的样子(down-up物理耗时/tp irq-app软件耗时)

需要优化为DOWN时触发，但需要评估周边影响？目前看没有长按功能。 

子票：https://share.thundersoft.com/redmine/issues/115082

12-24 01:38:49.219 1103 2174 I intercept_power: [ACTION_DOWN,0,0]

12-24 01:38:49.423 1103 2174 I intercept_power: [ACTION_UP,0,0]

12-24 01:38:56.936 1103 1734 I intercept_power: [ACTION_DOWN,0,0]

12-24 01:38:57.139 1103 1734 I intercept_power: [ACTION_UP,0,0]

12-24 01:39:03.843 1103 1734 I intercept_power: [ACTION_DOWN,0,0]

12-24 01:39:04.048 1103 1734 I intercept_power: [ACTION_UP,0,0]

耗时点 耗时 票号 组别 备注

点击事件--通知fw powering

off（PowerManagerService）

200ms 115082 FW

下一步计划：

1.继续拆分当前休眠流程

--日志start-end点

--日志时间与相机物理时长匹配

--systrace分析

2.拆解对比机休眠流程

#4 - 2023-01-09 10:21 - CD SYSTEM-胡兵

- File systrace2.jpg added

- File systrace1.png added
现状分析：

从日志与systrace分析，除TP外的耗时集中在PowerManagerService中，与对比机差距接近300ms左右，

systrace1.png

上图可以看到PMS耗时在动画部分

与FW同学沟通后，问题出在PMS动画延时上，FW同学修改出如下VB，包含TP与PMS动画修改，验证有效：

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230108/202301082003-2099/FlatBuild_HH_VX1_MCE_FSE.M.D.user.0

1.00.X101.202301082300.zip

麻烦测试同学使用上述VB验证

#5 - 2023-01-09 16:46 - 移动测试一组_CDTS 刘强

与FW同学沟通后，问题出在PMS动画延时上，FW同学修改出如下VB，包含TP与PMS动画修改，验证有效：

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230108/202301082003-2099/FlatBuild_HH_VX1_MCE_FSE.M.D.user.0

1.00.X101.202301082300.zip

验证通过，使用vb版本重新测试：272ms

#6 - 2023-01-09 16:48 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-胡兵 to CD FW 曹覃刚

Hi 覃刚

麻烦入库下相关提交

Thanks
#7 - 2023-01-09 18:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

174811 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:SystemOptimization:Optimize the time when the screen goes offOptimize the time when the screen goes offTC-RID: 1201-0205101IssueID:

TS-R-BUG-114834Change-Id: I88ad082210ab6ab038fa713a3ac09d7a217feaaa

#8 - 2023-01-09 18:09 - CD FW 曹覃刚

- Category changed from BSP to CD-FW

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-10

- Root cause set to 息屏时间晚的原因，模拟点击时间间隔较长，息屏动画时间较长

#9 - 2023-01-12 15:26 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

最新验证结果：测试：272ms

测试版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301120333.zip

#10 - 2023-01-12 15:26 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

tlog.zip 1.04 MB 2022-12-26 移动测试一组_CDTS 刘强

systrace2.jpg 528 KB 2023-01-09 CD SYSTEM-胡兵

systrace1.png 544 KB 2023-01-09 CD SYSTEM-胡兵
